Create Memory from Triage
curl --request POST \
--url https://api.example.com/api/ai/deployments/{deploymentId}/memories/triage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"note": "<string>",
"filter": {
"ids": [
"<string>"
],
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"repositoryNames": [
"<string>"
],
"repositoryIds": [
"<string>"
],
"repositoryTags": [
"<string>"
],
"refs": [
"<string>"
],
"repositoryRefIds": [
"<string>"
],
"aiSensitivities": [
"<string>"
],
"teamNames": [
"<string>"
],
"policySlugs": [
"<string>"
],
"rules": [
"<string>"
],
"ruleIds": [
"<string>"
],
"rulesets": [
"<string>"
],
"categories": [
"<string>"
],
"dependencies": [
"<string>"
],
"cves": [
"<string>"
],
"issueParentIds": [
"<string>"
],
"secretTypes": [
"<string>"
],
"excludeHistorical": true,
"onPrimaryBranch": true,
"includeTicketed": true,
"aiMemoryWillFlipVerdict": "<string>",
"aiMemoryReferenced": "<string>",
"includeAiMemoryRendered": true,
"aiMemoryRendered": "<string>",
"memoryIdInScope": "<string>",
"advisoryIds": [
"<string>"
],
"filePaths": [
"<string>"
],
"includeArchived": true
},
"identifierFilter": {
"ids": [
"<string>"
],
"issueParentIds": [
"<string>"
],
"ruleIds": [
"<string>"
]
}
}
'import requests
url = "https://api.example.com/api/ai/deployments/{deploymentId}/memories/triage"
payload = {
"deploymentId": "<string>",
"note": "<string>",
"filter": {
"ids": ["<string>"],
"since": "2023-11-07T05:31:56Z",
"until": "2023-11-07T05:31:56Z",
"repositoryNames": ["<string>"],
"repositoryIds": ["<string>"],
"repositoryTags": ["<string>"],
"refs": ["<string>"],
"repositoryRefIds": ["<string>"],
"aiSensitivities": ["<string>"],
"teamNames": ["<string>"],
"policySlugs": ["<string>"],
"rules": ["<string>"],
"ruleIds": ["<string>"],
"rulesets": ["<string>"],
"categories": ["<string>"],
"dependencies": ["<string>"],
"cves": ["<string>"],
"issueParentIds": ["<string>"],
"secretTypes": ["<string>"],
"excludeHistorical": True,
"onPrimaryBranch": True,
"includeTicketed": True,
"aiMemoryWillFlipVerdict": "<string>",
"aiMemoryReferenced": "<string>",
"includeAiMemoryRendered": True,
"aiMemoryRendered": "<string>",
"memoryIdInScope": "<string>",
"advisoryIds": ["<string>"],
"filePaths": ["<string>"],
"includeArchived": True
},
"identifierFilter": {
"ids": ["<string>"],
"issueParentIds": ["<string>"],
"ruleIds": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: '<string>',
note: '<string>',
filter: {
ids: ['<string>'],
since: '2023-11-07T05:31:56Z',
until: '2023-11-07T05:31:56Z',
repositoryNames: ['<string>'],
repositoryIds: ['<string>'],
repositoryTags: ['<string>'],
refs: ['<string>'],
repositoryRefIds: ['<string>'],
aiSensitivities: ['<string>'],
teamNames: ['<string>'],
policySlugs: ['<string>'],
rules: ['<string>'],
ruleIds: ['<string>'],
rulesets: ['<string>'],
categories: ['<string>'],
dependencies: ['<string>'],
cves: ['<string>'],
issueParentIds: ['<string>'],
secretTypes: ['<string>'],
excludeHistorical: true,
onPrimaryBranch: true,
includeTicketed: true,
aiMemoryWillFlipVerdict: '<string>',
aiMemoryReferenced: '<string>',
includeAiMemoryRendered: true,
aiMemoryRendered: '<string>',
memoryIdInScope: '<string>',
advisoryIds: ['<string>'],
filePaths: ['<string>'],
includeArchived: true
},
identifierFilter: {ids: ['<string>'], issueParentIds: ['<string>'], ruleIds: ['<string>']}
})
};
fetch('https://api.example.com/api/ai/deployments/{deploymentId}/memories/triage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"memory": {
"id": "<string>",
"content": "<string>",
"ruleId": "<string>",
"ruleName": "<string>",
"repositoryId": "<string>",
"repositoryName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"context": [
"<string>"
],
"pathPrefixes": [
"<string>"
],
"suggestionSources": {
"sources": [
{
"note": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"sampleIssueId": "<string>",
"prCommentUrl": "<string>",
"reviewCommentId": "<string>"
}
]
},
"preanalysisCounts": {
"newlyTruePositive": "<string>",
"newlyFalsePositive": "<string>",
"remainsTruePositive": "<string>",
"remainsFalsePositive": "<string>"
},
"vulnerabilityClass": "<string>",
"projectTagId": 123
}
}Memories
Create Memory from Triage
Create a new memory from a triage event.
POST
/
api
/
ai
/
deployments
/
{deploymentId}
/
memories
/
triage
Create Memory from Triage
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Body
application/json
Filter to select issues for memory creation.
Show child attributes
Show child attributes
Issue type to filter by.
| value | description |
|---|---|
| ISSUE_TYPE_SAST | Detected by Code rules |
| ISSUE_TYPE_SCA | Detected by Supply Chain rules |
| ISSUE_TYPE_SECRETS | Detected by Secrets rules |
| ISSUE_TYPE_RESEARCH | Detected by research rules or scanners |
| ISSUE_TYPE_AI_SAST | Detected by AI detection code scanning |
Available options:
ISSUE_TYPE_SAST, ISSUE_TYPE_SCA, ISSUE_TYPE_SECRETS, ISSUE_TYPE_RESEARCH, ISSUE_TYPE_AI_SAST Identifier-based filters to combine with the base filter. If multiple identifiers are specified, they are OR'd before combining with base.
Show child attributes
Show child attributes
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I